#pragma once

#include "TsMedia.h"

class CMpeg2SequenceSplitter_ISequenceHandler
{
public:
	virtual void OnSequence(const CMpeg2Sequence *pSequence) = 0;
};

class CMpeg2SequenceSplitter :	public CMpeg2Parser::ISequenceHandler
{
public:
	/*
	class ISequenceHandler
	{
	public:
		virtual void OnSequence(const CMpeg2Sequence *pSequence) = 0;
	};
	*/

	CMpeg2SequenceSplitter(CMpeg2SequenceSplitter_ISequenceHandler *pSequenceHandler);
	virtual ~CMpeg2SequenceSplitter();

protected:
// CMpeg2Parser::ISequenceHandler
	virtual void OnMpeg2Sequence(const CMpeg2Parser *pMpeg2Parser, const CMpeg2Sequence *pSequence);

private:
	CMpeg2SequenceSplitter_ISequenceHandler *m_pSequenceHandler;

	bool m_InitRequest;
};
