#ifndef NETWORK_REMOCON_H
#define NETWORK_REMOCON_H


#include <winsock.h>
#include "ChannelList.h"


class CNetworkRemoconReciver {
public:
	virtual void OnRecive(LPCSTR pszText) = 0;
};

class CNetworkRemocon {
	bool m_fInitialized;
	WSADATA m_WSAData;
	DWORD m_Address;
	WORD m_Port;
	HANDLE m_hThread;
	SOCKET m_Socket;
	bool m_fConnected;
	CChannelList m_ChannelList;
	static DWORD WINAPI SendProc(LPVOID pParam);
	bool Send(const char *pBuffer,int Length,
										CNetworkRemoconReciver *pReciver=NULL);
public:
	CNetworkRemocon();
	~CNetworkRemocon();
	bool Init(LPCSTR pszAddress,WORD Port);
	bool Shutdown();
	bool SetChannel(int ChannelNo);
	bool GetChannel(CNetworkRemoconReciver *pReciver);
	bool LoadChannelText(LPCTSTR pszFileName,const CChannelList *pChannelList);
	const CChannelList &GetChannelList() const { return m_ChannelList; }
};


#endif
